{"id":26458,"date":"2021-01-15T06:56:05","date_gmt":"2021-01-15T06:56:05","guid":{"rendered":"https:\/\/developer.kore.ai\/v10-1\/?p=26458"},"modified":"2023-08-23T09:17:52","modified_gmt":"2023-08-23T08:17:52","slug":"channel-enablement-api","status":"publish","type":"post","link":"https:\/\/developer.kore.ai\/v10-1\/docs\/bots\/api-guide\/channel-enablement-api\/","title":{"rendered":"Channel Enablement API"},"content":{"rendered":"<section class=\"l-section wpb_row height_auto\"><div class=\"l-section-h i-cf\"><div class=\"g-cols vc_row type_default valign_top\"><div class=\"vc_col-sm-12 wpb_column vc_column_container\"><div class=\"vc_column-inner\"><div class=\"wpb_wrapper\">\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<p>To initiate enable a channel for a virtual assistant.<\/p>\n<table>\n<tbody>\n<tr>\n<td><b>Method<\/b><\/td>\n<td>POST<\/td>\n<\/tr>\n<tr>\n<td><b>Endpoint<\/b><\/td>\n<td><span style=\"font-weight: 400;\"><code>https:\/\/{{host}}\/api\/public\/channels<\/code><\/span><\/p>\n<p>&nbsp;<\/td>\n<\/tr>\n<tr>\n<td><b>Content Type<\/b><\/td>\n<td><code>application\/json<\/code><\/td>\n<\/tr>\n<tr>\n<td><b>Authorization<\/b><\/td>\n<td><code>auth: {{JWT}}<\/code><\/p>\n<p>See <a href=\"https:\/\/developer.kore.ai\/v10-1\/docs\/bots\/api-guide\/apis\/#Generating_the_JWT_Token\" target=\"_blank\" rel=\"noopener noreferrer\">How to generate the JWT Token<\/a>.<\/td>\n<\/tr>\n<tr>\n<td><b>API Scope<\/b><\/td>\n<td>\n<ul>\n<li>Bot Builder: Not Applicable<\/li>\n<li>Admin Console: Channel Management<\/li>\n<\/ul>\n<\/td>\n<\/tr>\n<\/tbody>\n<\/table>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<p>&nbsp;<\/p>\n<h2><span class=\"ez-toc-section\" id=\"Query_Parameters\">Query Parameters<\/span><\/h2>\n<table>\n<thead>\n<tr>\n<th>Parameter<\/th>\n<th>Description<\/th>\n<th>Mandate<\/th>\n<\/tr>\n<\/thead>\n<tbody>\n<tr>\n<td>host<\/td>\n<td>The environment URL. For example, https:\/\/bots.kore.ai<\/td>\n<td>Required<\/td>\n<\/tr>\n<\/tbody>\n<\/table>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h2><span class=\"ez-toc-section\" id=\"Sample_Request\">Sample Request<\/span><\/h2>\n<p><strong>Sample Request for Web\/Mobile channel<\/strong>:<\/p>\n<pre>curl --location --request POST 'https:\/\/{{host}}\/api\/public\/channels' \\\r\n--header 'auth: {{YOUR_JWT_ACCESS_TOKEN}}' \\\r\n--header 'Content-Type: application\/json' \\\r\n--data-raw '{\r\n    \"streamId\": \"st-xxxxfxxx-edxx-xxxx-xxbb-fxxxexxfxfcx\",\r\n    \"channelDetails\": {\r\n        \"displayName\": \"Web \/ Mobile Client\",\r\n        \"type\": \"rtm\",\r\n        \"app\": {\r\n           \"clientId\": \"cs-xexxdxxx-xbbc-xxex-xxef-xxxxxxxxfxfx\",\r\n           \"appName\": \"app_name\"\r\n        },\r\n     \"enable\": true\r\n    },\r\n  \"type\": \"rtm\"\r\n}'<\/pre>\n<p><strong>Sample Request for MS Teams channel<\/strong>:<\/p>\n<pre>curl --location --request POST 'https:\/\/{{host}}\/api\/public\/channels' \\\r\n--header 'auth: {{YOUR_JWT_ACCESS_TOKEN}}' \\\r\n--header 'Content-Type: application\/json' \\\r\n--data-raw '{\r\n    \"streamId\": \"st-4xx7ccxx-8xx5-5cxx-9xxf-5bxxxxxxxxxx\",\r\n    \"channelDetails\": {\r\n       \"botName\": \"Banking Bot\",\r\n       \"enable\": true,\r\n       \"type\": \"msteams\",\r\n       \"appId\": \"cbabcxce-acxb-xxxx-axxf-xabxxxfexxxb\",\r\n       \"appPassword\": \"\"\r\n     },\r\n   \"type\": \"msteams\"\r\n}'<\/pre>\n<p><strong>Sample Request for WebHook channel<\/strong>:<\/p>\n<pre>curl --location --request POST 'https:\/\/{{host}}\/api\/public\/channels' \\\r\n--header 'auth: {{YOUR_JWT_ACCESS_TOKEN}}' \\\r\n--header 'Content-Type: application\/json' \\\r\n--data-raw '{\r\n    \"streamId\": \"st-cxfaxxax-xexx-xxex-axxe-xxdxexxxfxex\",\r\n    \"channelDetails\": {\r\n        \"app\": {\r\n            \"clientId\": \"cs-dxxcxxxc-Xxxx-xxxx-axxx-xxxxcxbexeax\",\r\n            \"appName\": \"Banking Bot\"\r\n        },\r\n     \"createInstance\": true,\r\n     \"type\": \"ivr\",\r\n     \"displayName\": \"webhook1\",\r\n     \"enable\": true,\r\n     \"enablePolling\": false,\r\n     \"isAsync\": false,\r\n    },\r\n    \"type\": \"ivr\"\r\n}'<\/pre>\n<p><strong>Sample Request for Slack channel<\/strong>:<\/p>\n<pre>curl --location --request POST 'https:\/\/{{host}}\/api\/public\/channels' \\\r\n--header 'auth: {{YOUR_JWT_ACCESS_TOKEN}}' \\\r\n--header 'Content-Type: application\/json' \\\r\n--data-raw '{\r\n   \"streamId\": \"st-1bxxxxxx-9xx0-5xxa-abxx-51xxxxxxxxxa\",\r\n   \"channelDetails\": {\r\n       \"displayName\": \"slack\",\r\n       \"botName\":\"Banking Bot\",\r\n       \"enable\": true,\r\n       \"type\": \"slack\",\r\n       \"accessToken\": \"xoxb-xxxxxxxx-xxxxxx-xxxxxxxxxxxxxxxxxxxxxZ\",\r\n       \"clientId\": \"xxxxxx.xxxxxx\",\r\n       \"clientSecret\": \"xxexxdxxxdxcxxbxacxxxdfxxxxxex\",\r\n       \"verificationToken\": \"abcd\"\r\n   },\r\n   \"type\": \"slack\"\r\n}'<\/pre>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<p>&nbsp;<\/p>\n<h2><span class=\"ez-toc-section\" id=\"Body_Parameters\">Body Parameters<\/span><\/h2>\n<table>\n<thead>\n<tr>\n<th>Parameter<\/th>\n<th>Description<\/th>\n<th>Mandate<\/th>\n<\/tr>\n<\/thead>\n<tbody>\n<tr>\n<td>streamId<\/td>\n<td>Stream or Bot ID &#8211; You can access it from the General Settings page of the bot.<\/td>\n<td>Required<\/td>\n<\/tr>\n<tr>\n<td>appName<\/td>\n<td>The app associated with this Bot, you can obtain it from the Manage Apps page of the bot<\/td>\n<td>Required<\/td>\n<\/tr>\n<tr>\n<td>clientId<\/td>\n<td>The client id for the app associated with this Bot, you can obtain it from the Manage Apps page of the bot<\/td>\n<td>Required<\/td>\n<\/tr>\n<tr>\n<td>type<\/td>\n<td>Channel that you want to enable for this Bot. Following are the channel type details:<\/p>\n<ul>\n<li>rtm &#8211; for Web\/Mobile SDK<\/li>\n<li>slack &#8211; for Slack<\/li>\n<li>ivr &#8211; for WebHook<\/li>\n<li>msteams &#8211; for MS Teams<\/li>\n<\/ul>\n<\/td>\n<td>Required<\/td>\n<\/tr>\n<\/tbody>\n<\/table>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<p>&nbsp;<\/p>\n<h2><span class=\"ez-toc-section\" id=\"Sample_Response\">Sample Response<\/span><\/h2>\n<p>The response from the platform depends on the channel being enabled.<\/p>\n<p>Sample response for <strong>web\/mobile SDK<\/strong>:<\/p>\n<pre>{\r\n\u00a0\u00a0\u00a0\u00a0\"displayName\":\u00a0\"Web\u00a0\/\u00a0Mobile\u00a0Client\",\r\n\u00a0\u00a0\u00a0\u00a0\"type\":\u00a0\"rtm\",\r\n\u00a0\u00a0\u00a0\u00a0\"enable\":\u00a0true,\r\n\u00a0\u00a0\u00a0\u00a0\"notification\":\u00a0{\r\n\u00a0\u00a0\u00a0\u00a0\u00a0\u00a0\u00a0\u00a0\"acl\":\u00a0[]\r\n\u00a0\u00a0\u00a0\u00a0},\r\n\u00a0\u00a0\u00a0\u00a0\"name\":\u00a0\"Web\/Mobile\u00a0Client\",\r\n\u00a0\u00a0\u00a0\u00a0\"embedWebClientDetails\":\u00a0{\r\n\u00a0\u00a0\u00a0\u00a0\u00a0\u00a0\u00a0\u00a0\"scriptTag\":\u00a0\"<script\u00a0src='https:\/\/preprod-bots.korebots.com\/api\/platform\/websdkjs\/d3be21a5756d94803b0548e594c0e1625b88e873cec9e48eb918add573d738f26stda'><\/script>\",\r\n\u00a0\u00a0\u00a0\u00a0\u00a0\u00a0\u00a0\u00a0\"cssTag\":\u00a0\" \t\",\r\n\u00a0\u00a0\u00a0\u00a0\u00a0\u00a0\u00a0\u00a0\"domains\":\u00a0[],\r\n\u00a0\u00a0\u00a0\u00a0\u00a0\u00a0\u00a0\u00a0\"apiKey\":\u00a0\"d3be215756d94803b0a548e594c0e1625b88e873cec9e48eb918add573d738f26stda\",\r\n\u00a0\u00a0\u00a0\u00a0\u00a0\u00a0\u00a0\u00a0\"testAPIKey\":\u00a0\"7e203670dc4d41d5bcc0d58b4e02a164e0b6a0c9438b45c1971c6e703582c88estda\",\r\n\u00a0\u00a0\u00a0\u00a0\u00a0\u00a0\u00a0\u00a0\"chatURL\":\u00a0\"https:\/\/preprod-bots.korebots.com\/webclient\/d3be215756d94803b0548e594c0e162a5b88e873cec9e48eb918add573d738f26stda\",\r\n\u00a0\u00a0\u00a0\u00a0\u00a0\u00a0\u00a0\u00a0\"isURLEnabled\":\u00a0true\r\n\u00a0\u00a0\u00a0\u00a0}\r\n}\r\n<\/pre>\n<p>Sample response for <strong>webhook channel<\/strong>:<\/p>\n<pre>{\r\n    \"streamId\": \"st-6f90cbdc-46c7-52f8-a388-8db39b0f4436\",\r\n    \"channelDetails\": {\r\n        \"app\": {\r\n             \"clientId\": \"cs-ccaa5400-83b9-5a38-897d-0114d2aab521\",\r\n             \"appName\": \"try\"\r\n        },\r\n        \"createInstance\": true,\r\n        \"type\": \"ivr\",\r\n        \"displayName\": \"webhook11\",\r\n        \"enable\": true,\r\n        \"isAsync\": false\r\n    },\r\n    \"type\": \"ivr\"\r\n}<\/pre>\n<p>Sample response for <strong>slack channel<\/strong>:<\/p>\n<pre>{\r\n    \"streamUserAccountId\": \"su-5d7c2d17-5fa2-58db-b2fc-83cfe259d14a\",\r\n    \"type\": \"slack\",\r\n    \"enable\": true,\r\n    \"verificationToken\": \"a7365\",\r\n    \"notification\": {\r\n        \"acl\": []\r\n    },\r\n    \"name\": \"Slack\"\r\n}<\/pre>\n<p>Sample response for <strong>msteams channel<\/strong>:<\/p>\n<pre>{\r\n    \"streamId\": \"st-6f90cbdc-46c7-52f8-a388-8db39b0f4436\",\r\n    \"channelDetails\": {\r\n       \"botName\": \"today\",\r\n       \"enable\": true,\r\n       \"type\": \"msteams\",\r\n       \"appId\": \"e51678c4-3c92-4053-8d0e-f9173ec1136e\",\r\n       \"appPassword\": \"DLu8Q~oB1BSUOpKcwUp.BWotfOqAagfPCOm4oaXz\"\r\n    },\r\n    \"type\": \"msteams\"\r\n}<\/pre>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div><\/div><\/div><\/div><\/div><\/div><\/section>\n","protected":false},"excerpt":{"rendered":"To initiate enable a channel for a virtual assistant. Method POST Endpoint https:\/\/{{host}}\/api\/public\/channels &nbsp; Content Type application\/json Authorization auth: {{JWT}} See How to generate the JWT Token. API Scope Bot Builder: Not Applicable Admin Console: Channel Management &nbsp; Query Parameters Parameter Description Mandate host The environment URL. For example, https:\/\/bots.kore.ai Required Sample Request Sample Request...","protected":false},"author":17,"featured_media":0,"comment_status":"closed","ping_status":"closed","sticky":false,"template":"","format":"standard","meta":{"footnotes":""},"categories":[17],"tags":[],"class_list":["post-26458","post","type-post","status-publish","format-standard","hentry","category-api-guide"],"_links":{"self":[{"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/posts\/26458","targetHints":{"allow":["GET"]}}],"collection":[{"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/posts"}],"about":[{"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/types\/post"}],"author":[{"embeddable":true,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/users\/17"}],"replies":[{"embeddable":true,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/comments?post=26458"}],"version-history":[{"count":31,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/posts\/26458\/revisions"}],"predecessor-version":[{"id":58899,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/posts\/26458\/revisions\/58899"}],"wp:attachment":[{"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/media?parent=26458"}],"wp:term":[{"taxonomy":"category","embeddable":true,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/categories?post=26458"},{"taxonomy":"post_tag","embeddable":true,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/tags?post=26458"}],"curies":[{"name":"wp","href":"https:\/\/api.w.org\/{rel}","templated":true}]}}